require 'spec_helper'

describe String, '#word_count' do
	it "should have a method called word_count" do
		should respond_to :word_count
	end

	it "should have return 1" do
		x = "omg"
		count = x.word_count
		expect(count).to eq 1
	end

	it "should have return 1" do
		x = "omg omg omg omg omg omg"
		count = x.word_count
		expect(count).to eq 6
	end
end

describe String, '#unique_words' do
	it "should have a method called unique_words" do
		should respond_to :unique_words
	end

	it "should have return 1" do
		x = "omg omg omg"
		words = x.unique_words
		expect(words.length).to eq 1
	end

	it "should have return 1" do
		x = "omg omg omg UGH UGH"
		words = x.unique_words
		expect(words.length).to eq 2
	end

	it "should have return 1" do
		x = "omg omg omg UGH UGH"
		words = x.unique_words
		expect(words).to eq ["omg","UGH"]
	end

end
